https://shopify.com/admin/api/2020-01/comments/count.jsonhttps://shopify.dev/docs/admin-api/rest/reference/online-store/comment#count-2020-01
Count comments created after date (format: 2014-04-25T16:15:47-04:00).
Count comments created before date (format: 2014-04-25T16:15:47-04:00).
Count comments last updated after date (format: 2014-04-25T16:15:47-04:00).
Count comments last updated before date (format: 2014-04-25T16:15:47-04:00).
Count comments published after date (format: 2014-04-25T16:15:47-04:00).
Count comments published before date (format: 2014-04-25T16:15:47-04:00).
Retrieve a count of comments with a given published status. (default: any) published: Count only published comments. unpublished: Count only unpublished comments. any: Count comments of any published status.
Retrieve a count of comments with a given status. pending: Count pending comments. published: Count published comments. unapproved: Count unapproved comments.
article_id
blog_id
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://shopify.com/admin/api/2020-01/comments/count.json' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://shopify.com/admin/api/2020-01/comments/count.jsonhttps://shopify.dev/docs/admin-api/rest/reference/online-store/comment#count-2020-01
Count comments created after date (format: 2014-04-25T16:15:47-04:00).
Count comments created before date (format: 2014-04-25T16:15:47-04:00).
Count comments last updated after date (format: 2014-04-25T16:15:47-04:00).
Count comments last updated before date (format: 2014-04-25T16:15:47-04:00).
Count comments published after date (format: 2014-04-25T16:15:47-04:00).
Count comments published before date (format: 2014-04-25T16:15:47-04:00).
Retrieve a count of comments with a given published status. (default: any) published: Count only published comments. unpublished: Count only unpublished comments. any: Count comments of any published status.
Retrieve a count of comments with a given status. pending: Count pending comments. published: Count published comments. unapproved: Count unapproved comments.
article_id
blog_id
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://shopify.com/admin/api/2020-01/comments/count.json' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}